Create Fix
curl --request POST \
--url https://api.veridical.dev/api/v1/fixes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"finding_id": "<string>",
"workspace_id": "<string>",
"client_request_id": "<string>"
}
'import requests
url = "https://api.veridical.dev/api/v1/fixes"
payload = {
"finding_id": "<string>",
"workspace_id": "<string>",
"client_request_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
finding_id: '<string>',
workspace_id: '<string>',
client_request_id: '<string>'
})
};
fetch('https://api.veridical.dev/api/v1/fixes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}control
Create Fix
POST
/
api
/
v1
/
fixes
Create Fix
curl --request POST \
--url https://api.veridical.dev/api/v1/fixes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"finding_id": "<string>",
"workspace_id": "<string>",
"client_request_id": "<string>"
}
'import requests
url = "https://api.veridical.dev/api/v1/fixes"
payload = {
"finding_id": "<string>",
"workspace_id": "<string>",
"client_request_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
finding_id: '<string>',
workspace_id: '<string>',
client_request_id: '<string>'
})
};
fetch('https://api.veridical.dev/api/v1/fixes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
8 - 200Body
application/json
Response
Successful Response
The response is of type Response Create Fix Api V1 Fixes Post · object.
Last modified on July 28, 2026
⌘I

